<?php
/**
* Body Classes.
*
* @package StoryYellers
*/
 
 if (!function_exists('storyyellers_body_classes')) :

    function storyyellers_body_classes($classes) {

        $storyyellers_default = storyyellers_get_default_theme_options();
        $storyyellers_color_schema = get_theme_mod( 'storyyellers_color_schema',$storyyellers_default['storyyellers_color_schema'] );
        $ed_desktop_menu = get_theme_mod( 'ed_desktop_menu',$storyyellers_default['ed_desktop_menu'] );
        $ed_transparent_menu = get_theme_mod( 'ed_transparent_menu',$storyyellers_default['ed_transparent_menu'] );

        global $post;
        // Adds a class of hfeed to non-singular pages.
        if ( !is_singular() ) {
            $classes[] = 'hfeed';
        }
        if( $ed_desktop_menu ){

            $classes[] = 'enabled-desktop-menu';

        }else{

            $classes[] = 'disabled-desktop-menu';

        }

        if( $ed_transparent_menu && is_front_page() ){

            $classes[] = 'enabled-transparent-menu';

        }

        $classes[] = 'color-scheme-'.esc_attr( $storyyellers_color_schema );

        return $classes;
    }

endif;

add_filter('body_class', 'storyyellers_body_classes');