<?php
/**
 * Header file for the StoryYellers WordPress theme.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package StoryYellers
 * @since 1.0.0
 */
?><!DOCTYPE html>
<html class="no-js" <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo('charset'); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no" />
    <link rel="profile" href="https://gmpg.org/xfn/11">
    <?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php
if( function_exists('wp_body_open') ){
    wp_body_open();
} ?>


<div class="preloader hide-no-js">
    <div class="preloader-wrapper">
        <div class="loader-circles">
            <span></span><span></span><span></span><span></span><span></span>
        </div>
    </div>
</div>

<div id="page" class="site">
    <a class="skip-link screen-reader-text" href="#site-contentarea"><?php esc_html_e('Skip to the content', 'storyyellers'); ?></a>



    <div class="theme-header">
        <div class="wrapper">
                <?php get_template_part('template-parts/header/header', 'content'); ?>
        </div>
    </div>
    <?php if (is_front_page()) { ?>
        <!-- banner/header image section -->
        <?php storyyellers_header_image_section(); ?>
    <?php } ?>
    <div id="content" class="site-content">
        <?php
        if (!is_front_page()) { ?>

        <div class="wrapper">
            <div class="theme-block-header">
                <?php storyyellers_archive_title(); ?>

                <?php storyyellers_breadcrumb(); ?>
            </div>
        </div>
        <?php } ?>