<?php
/**
* Category Color
*
* @package StoryYellers
*/

$storyyellers_defaults = storyyellers_get_default_theme_options();
$storyyellers_post_category_list = storyyellers_post_category_list();

// Slider Section.
$wp_customize->add_section( 'storyyellers_category_color_section',
	array(
	'title'      => esc_html__( 'Category Color', 'storyyellers' ),
	'capability' => 'edit_theme_options',
    'panel'      => 'theme_colors_panel',
	)
);


// Recommended Posts Enable Disable.
$wp_customize->add_setting( 'storyyellers_category_colors', array(
    'sanitize_callback' => 'storyyellers_sanitize_repeater',
    'default' => $storyyellers_defaults['storyyellers_category_colors'],
));

$wp_customize->add_control(  new Storyyellers_Repeater_Controler( $wp_customize, 'storyyellers_category_colors', 
    array(
        'section' => 'storyyellers_category_color_section',
        'settings' => 'storyyellers_category_colors',
        'storyyellers_box_label' => esc_html__('New Category','storyyellers'),
        'storyyellers_box_add_control' => esc_html__('Add New Category Color','storyyellers'),
        'storyyellers_box_add_button' => true,
    ),
        array(
            'category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Select Category', 'storyyellers' ),
                'options'     => $storyyellers_post_category_list,
                'class'       => 'storyyellers-custom-cat-color'
            ),
            'category_color' => array(
                'type'        => 'colorpicker',
                'label'       => esc_html__( 'Category Color', 'storyyellers' ),
                'class'       => ''
            ),
            
    )
));
