<?php
/**
 * Header Layout 1
 *
 * @package StoryYellers
 */
$storyyellers_default = storyyellers_get_default_theme_options();
$ed_desktop_menu = get_theme_mod( 'ed_desktop_menu',$storyyellers_default['ed_desktop_menu'] );
$ed_transparent_menu = get_theme_mod( 'ed_transparent_menu',$storyyellers_default['ed_transparent_menu'] );
$header_transparent_logo_upload = get_theme_mod( 'header_transparent_logo_upload' );
$home_url = home_url();
?>

<header id="site-header" class="header-layout" role="banner">
    <div class="header-components">

        <div class="header-component header-component-left">
            <div class="header-titles">

                <?php
                if ( $ed_transparent_menu && is_front_page()) { ?>
                    <div class="site-logo site-branding">
                        <a href="<?php echo esc_url($home_url); ?>" class="custom-logo-link">
                            <img src="<?php echo esc_url($header_transparent_logo_upload); ?>">
                        </a>
                    </div>
                <?php } else {
                    // Site title or logo.
                    storyyellers_site_logo();
                }
                // Site description.
                storyyellers_site_description();
                ?>

            </div><!-- .header-titles -->
        </div><!-- .header-component-left -->

        <div class="header-component header-component-right">
            <?php if( $ed_desktop_menu ){ ?>


                <div class="site-navigation">
                    <nav class="primary-menu-wrapper" aria-label="<?php esc_attr_e('Horizontal', 'storyyellers'); ?>" role="navigation">

                        <ul class="primary-menu">

                            <?php
                            if( has_nav_menu('storyyellers-primary-menu') ){

                                wp_nav_menu(
                                    array(
                                        'container' => '',
                                        'items_wrap' => '%3$s',
                                        'theme_location' => 'storyyellers-primary-menu',
                                    )
                                );

                            }else{

                                wp_list_pages(
                                    array(
                                        'match_menu_classes' => true,
                                        'show_sub_menu_icons' => true,
                                        'title_li' => false,
                                        'walker' => new Storyyellers_Walker_Page(),
                                    )
                                );

                            } ?>

                        </ul>

                    </nav><!-- .primary-menu-wrapper -->
                </div><!-- .site-navigation -->


            <?php } ?>


            <div class="navbar-controls hide-no-js">

                <?php if (has_nav_menu('storyyellers-social-menu')) { ?>

                    <div id="navbar-social-nav" class="theme-social-navigation">

                        <?php
                        wp_nav_menu(array(
                            'theme_location' => 'storyyellers-social-menu',
                            'link_before' => '<span class="screen-reader-text">',
                            'link_after' => '</span>',
                            'container' => 'div',
                            'container_class' => 'social-menu',
                            'depth' => 1,
                        )); ?>

                    </div>

                <?php } ?>

                <?php
                $ed_header_search = get_theme_mod('ed_header_search', $storyyellers_default['ed_header_search']);
                if ($ed_header_search) { ?>

                    <button type="button" class="navbar-control theme-action-control navbar-control-search">
                         <span class="action-control-trigger" tabindex="-1">
                            <?php storyyellers_the_theme_svg('search'); ?>
                         </span>
                    </button>

                <?php } ?>

                <button type="button" class="navbar-control theme-action-control navbar-control-offcanvas">
                     <span class="action-control-trigger" tabindex="-1">
                        <?php storyyellers_the_theme_svg('menu'); ?>
                     </span>
                </button>

            </div>

        </div><!-- .header-component-right -->
    </div>

</header><!-- #site-header -->